textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/donotenter
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm donotenter
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

textures/base_button/shootme2
{
	qer_editorimage textures/base_button/metal3_3_shootme.tga
	q3map_lightimage textures/base_button/shootme_glow.tga
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_support/metal3_3.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_button/shootme_glow.tga
		rgbgen wave sin 0.5 1.0 0 .3
		blendfunc gl_one gl_one
	}
}

textures/base_floor/concretefloor1
{

	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		rgbgen wave sin .25 0 0 0
	}


	{
		map textures/base_floor/concretefloor1.tga
		blendfunc gl_zero gl_src_alpha
		tcmod scale .1 .1
		rgbgen identity	
	}

	{
		map textures/base_floor/concretefloor1.tga
		blendfunc gl_one gl_src_alpha
		rgbgen identity	
	}


	{
		map $lightmap
        	blendfunc gl_dst_color gl_zero
		rgbgen identity 
	}




}

textures/base_floor/clang_floor3blava
{
	surfaceparm nolightmap
        {
		map textures/liquids/protolava2.tga
                tcmod scale .2 .2
                tcmod scroll .04 .03
                tcmod turb 0 .1 0 .01
                blendfunc gl_one gl_zero
                rgbgen identity
	}
	{
		map textures/base_floor/clang_floor3blava.tga
                blendfunc blend
		
	}
      
}

textures/base_floor/clangdark
{
	surfaceparm	metalsteps		

	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_floor/clangdark.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}


}

textures/base_floor/clangdarkspot
{    
     surfaceparm	metalsteps	   
        
	
	
	
        
        {
		map textures/liquids/proto_grueldark.tga
                
                blendfunc gl_one gl_zero
                tcmod scale 2 2
                tcmod scroll .01 .03
                
		tcmod turb 0 0.05 0 .05
                
	}
        
        {
		map textures/effects/tinfx3.tga
                
                blendfunc gl_one gl_one
                tcgen environment
		
                
	}
       
        {
		map textures/base_floor/clangdarkspot.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
        {
		map $lightmap
                blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/base_light/lt2_2000
{
	qer_editorimage textures/base_light/light2.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/light2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/light2.blend.tga
		rgbgen wave sin 0.6 0.1 .1 .1
		blendfunc gl_one gl_one
	}
}

textures/base_trim/pewter_shiney
{   
 
        {
                map textures/effects/tinfx.tga       
                tcgen environment
                rgbgen identity
	}   
        {
		map textures/base_trim/pewter_shiney.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	} 
        {
		map $lightmap
                blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/ctf/ctf_blueflag
{
        tesssize 64
        deformvertexes wave 194 sin 0 3 0 .4
        deformvertexes normal .5 .1
        surfaceparm nomarks
        cull none
        
        {
		map textures/ctf/ctf_blueflag.tga
		rgbgen identity
	}
        {
		map textures/effects/redflagmap.tga
                tcgen environment
                tcmod scale 9 3
                tcmod scroll .1 .7
                
                blendfunc gl_one gl_one
                rgbgen identity
	}
        {
		map textures/ctf/ctf_blueflag.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
        {
		map $lightmap
                blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
        {
        	map textures/sfx/shadow.tga
                tcgen environment 
                
                blendfunc gl_dst_color gl_zero
               rgbgen identity
	}
}

textures/ctf/ctf_redflag
{
        tesssize 64
        deformvertexes wave 194 sin 0 3 0 .4
        deformvertexes normal .3 .2
        surfaceparm nomarks
        cull none

        {
		map textures/ctf/ctf_redflag.tga
		rgbgen identity
	}
        {
		map textures/effects/blueflagmap.tga
                 tcgen environment
                tcmod scale 9 3
                tcmod scroll .1 .7
                
                blendfunc gl_one gl_one
                rgbgen identity
	}
        {
		map textures/ctf/ctf_redflag.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
        {
		map $lightmap
                blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
        {

        	map textures/sfx/shadow.tga
                tcgen environment 
                
                blendfunc gl_dst_color gl_zero
               rgbgen identity
	}
}

textures/gothic_floor/largerblock3b_ow
{

        {
		map textures/sfx/firegorre.tga
                tcmod scroll 0 1
                tcmod turb 0 .25 0 1.6
                tcmod scale 4 4
                blendfunc gl_one gl_zero
                rgbgen identity
	}
	{
	        map textures/gothic_floor/largerblock3b_ow.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
	        rgbgen identity
	}
        {
		map $lightmap
                blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/gothic_floor/q1metal7_99spot
{

        {
		map textures/liquids/proto_grueldark2.tga
                blendfunc gl_one gl_zero
                tcmod scale 2 2
                tcmod scroll .01 .03
                tcmod turb 0 0.05 0 .05
        }
        {
		map textures/effects/tinfx3.tga
                blendfunc gl_one gl_one
                tcgen environment
        }
       
	{
	        map textures/gothic_floor/q1metal7_99spot.tga
		blendfunc blend
	        rgbgen identity
	}
        {
		map $lightmap
                blendfunc filter
		rgbgen identity
	}
}

textures/gothic_light/ironcrosslt2_1000
{
	qer_editorimage textures/gothic_light/ironcrosslt2.tga
	q3map_lightimage textures/gothic_light/ironcrosslt2.blend.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrosslt2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrosslt2.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/liquids/clear_calm1
{
		qer_editorimage textures/liquids/pool3d_3e.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformvertexes wave 64 sin .25 .25 0 .5	
		{ 
			map textures/liquids/pool3d_5e.tga
			blendfunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}
	
		{ 
			map textures/liquids/pool3d_3e.tga
			blendfunc gl_dst_color gl_one
			tcmod scale -.5 -.5
			tcmod scroll .025 .025
		}

	
		{
			map $lightmap
			blendfunc gl_dst_color gl_zero
			rgbgen identity		
		}
	
	

}

textures/liquids/slime1
{
		qer_editorimage textures/liquids/slime7.tga
		q3map_lightimage textures/liquids/slime7.tga
		q3map_globaltexture
		qer_trans .5

		surfaceparm noimpact
		surfaceparm slime
		surfaceparm nolightmap
		surfaceparm trans		

		q3map_surfacelight 100
		tesssize 32
		cull disable

		deformvertexes wave 100 sin 0 1 .5 .5

		{
			map textures/liquids/slime7c.tga
			tcmod turb .3 .2 1 .05
			tcmod scroll .01 .01
		}
	
		{
			map textures/liquids/slime7.tga
			blendfunc gl_one gl_one
			tcmod turb .2 .1 1 .05
			tcmod scale .5 .5
			tcmod scroll .01 .01
		}

		{
			map textures/liquids/bubbles.tga
			blendfunc gl_zero gl_src_color
			tcmod turb .2 .1 .1 .2
			tcmod scale .05 .05
			tcmod scroll .001 .001
		}		


}

textures/sfx/bouncepad01block18b
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga	
	q3map_surfacelight 2000

	
	{
		map textures/sfx/bouncepad01block18b.tga
		rgbgen identity
	}
	
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcmod stretch sin 1.2 .8 0 1.5
		rgbgen wave square .5 .5 .25 1.5
	}

}

textures/skies/hellsky2bright
{
	surfaceparm noimpact
	surfaceparm nolightmap

	q3map_sun	1 1 1 100 220 50
	q3map_surfacelight 120

	qer_editorimage textures/skies/inteldimredclouds.tga

	skyparms - 512 -
	{
		map textures/skies/inteldimclouds.tga
		tcmod scale 3 2
		tcmod scroll 0.15 0.15
		depthwrite
	}
	{
		map textures/skies/intelredclouds.tga
		blendfunc gl_one gl_one
		tcmod scale 3 3
		tcmod scroll 0.05 0.05
	}
}

textures/prejudice2/qw_teleporter
{
	q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_surfacelight 25
	
	surfaceparm nomarks
	surfaceparm nolightmap
	nopicmip
	
	cull disable
{
		map textures/prejudice2/qw_teleporter.tga
		tcmod turb 0 .2 0 .1
}
}

textures/prejudice2/scr_t41
{
	qer_editorimage textures/prejudice2/scr_t41.jpg
	q3map_lightimage textures/prejudice2/scr_t41.jpg
        q3map_surfacelight 100
	{
		animmap 0.40 textures/prejudice2/scr_t41.jpg textures/prejudice2/scr_t42.jpg textures/prejudice2/kadr_t4.tga
		
		rgbgen wave square 0 3 0 .40
	}
	{
		map textures/base_wall/comp3text.tga
		blendfunc add
	        rgbgen identity
		tcmod scroll 3 3
	}
	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
	        rgbgen identity
		tcmod scroll 3 3
	}
	{
		map $lightmap
	        rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbgen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

textures/prejudice2/scr_v1
{
	qer_editorimage textures/prejudice2/scr_v1.jpg
	q3map_lightimage textures/prejudice2/scr_v1.jpg
        q3map_surfacelight 50
	{
		animmap 0.40 textures/prejudice2/scr_v1.jpg textures/prejudice2/scr_v2.jpg textures/prejudice2/kadr_v.tga
		
		rgbgen wave square 0 3 0 .40
	}
	{
		map textures/base_wall/comp3text.tga
		blendfunc add
	        rgbgen identity
		tcmod scroll 3 3
	}
	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
	        rgbgen identity
		tcmod scroll 3 3
	}
	{
		map $lightmap
	        rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbgen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

textures/prejudice2/fragocola
{
	q3map_lightimage textures/prejudice2/fragocola.tga
        q3map_surfacelight 50


	{
		map textures/prejudice2/fragocola.tga
	        rgbgen wave square 0 1 0 .5
	}
	{
		map textures/base_wall/comp3text.tga
		blendfunc add
	        rgbgen identity
		tcmod scroll 3 3
	}
	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
	        rgbgen identity
		tcmod scroll 3 3
	}
	{
		map $lightmap
	        rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbgen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

textures/prejudice2/kadr_p2
{
	qer_editorimage textures/prejudice2/kadr_p2.tga
	q3map_lightimage textures/prejudice2/kadr_p2.tga
        q3map_surfacelight 40
	{
		animmap 0.40 textures/prejudice2/kadr_p2.tga textures/prejudice2/kadr_t4.tga textures/prejudice2/kadr_t3.tga textures/prejudice2/kadr_v.tga textures/prejudice2/kadr_s.tga
		
		rgbgen wave square 3 3 0 .40
	}
	{
		map textures/base_wall/comp3text.tga
		blendfunc add
	        rgbgen identity
		tcmod scroll 3 3
	}
	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
	        rgbgen identity
		tcmod scroll 3 3
	}
	{
		map $lightmap
	        rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbgen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

